<?php
/*
* Decimal Product Quantity for WooCommerce PRO
* Admin WooCommerce Order Page.
* admin_order.php
*/

    /* WooCommerce Order Page.
	 * Шаг изменения кол-ва Товара на странице Администрирования Заказа.
	 * \woocommerce\includes\admin\meta-boxes\views\html-order-item.php
    ----------------------------------------------------------------- */ 
	add_filter ('woocommerce_quantity_input_step_admin', 'WooDecimalProductPro_quantity_Input_Step_Admin', 10, 3);
	function WooDecimalProductPro_quantity_Input_Step_Admin ($Step_Qnt, $product, $mode) {
		// $mode = 'edit' or 'refund'
		global $WooDecimalProduct_Step_Quantity_Default;
		
		if (is_admin()) {
			$Parent_ID = $product->get_parent_id();
			
			if ($Parent_ID > 0) {
				// Вариативный Товар.
				$Product_ID = $Parent_ID;
			} else {
				// Простой Товар.
				$Product_ID = $product->get_id();
			}
			
			$Step_Qnt = get_post_meta ($Product_ID, 'woodecimalproduct_step_qnt', true);
			
			if (!$Step_Qnt) {
				$Step_Qnt = $WooDecimalProduct_Step_Quantity_Default;
			}
		}
		
		return $Step_Qnt;
	}
	
    /* WooCommerce Order Page.
	 * Минимальное кол-во Товара на странице Администрирования Заказа.
	 * \woocommerce\includes\admin\meta-boxes\views\html-order-item.php
    ----------------------------------------------------------------- */ 
	add_filter ('woocommerce_quantity_input_min_admin', 'WooDecimalProductPro_quantity_Input_Min', 10, 3);
	function WooDecimalProductPro_quantity_Input_Min($Min_Qnt, $product, $mode) {
		// $mode = 'edit' or 'refund'
		global $WooDecimalProduct_Min_Quantity_Default;
		
		if (is_admin()) {
			$Parent_ID = $product->get_parent_id();
			
			if ($Parent_ID > 0) {
				// Вариативный Товар.
				$Product_ID = $Parent_ID;
			} else {
				// Простой Товар.
				$Product_ID = $product->get_id();
			}
			
			$Min_Qnt = get_post_meta ($Product_ID, 'woodecimalproduct_min_qnt', true);

			if (!$Min_Qnt) {
				$Min_Qnt = $WooDecimalProduct_Min_Quantity_Default;
			}
		}
		
		return $Min_Qnt;
	}